package gmt.protocol.ext.VO;

import java.util.ArrayList;
import java.util.List;


public class ExtMsg_RPC31VO { 
	private String msg;
	private String packetType;
	private String ID;                            //HHNNSS-요청자-순번 (175715-2-1)
    private int ctrlType;                         //제어유형  1 : 수동(주/예비전환), 2 : 수동(포트), 3 : 자동
    private int requester;	                      //요청자   해수부 AIM(0), 운영국 AIM(1), EyeAS-SCS(2), 기지국MCS(3), Default(9)
    private int performer;                        //수행자   운영국 MCSS Primary(1), 운영국 MCSS Secondary(2), Default(9)
    private int command;                          //제어명령(제어유형이 1,3인 경우만) 주->예비전환(0), 예비->주전환(1), 주 재구동(3), 예비 재구동(4), Default(9), 타입2일 경우 공백
    private List<Integer> RPCCommandList;         //RPC 포트별 명령.. unknown(0), powered-on(1), powered-off(2), 
	private String remark;	
	
	public ExtMsg_RPC31VO() {
		this.msg = "";
		this.packetType = "";
		this.ID = "";
		this.ctrlType = 9;
		this.requester = 9;
		this.performer = 9;
		this.command = 0;
		this.RPCCommandList = new ArrayList<Integer>();
		this.remark = "";
	}
	
	public String getMsg() {
		return msg;
	}
	public void setMsg(String msg) {
		this.msg = msg;
	}
	public String getPacketType() {
		return packetType;
	}
	public void setPacketType(String packetType) {
		this.packetType = packetType;
	}	
	public String getID() {
		return ID;
	}
	public void setID(String ID) {
		this.ID = ID;
	}	
	public int getCtrlType() {
		return ctrlType;
	}
	public void setCtrlType(int ctrlType) {
		this.ctrlType = ctrlType;
	}	
	public int getRequester() {
		return requester;
	}
	public void setRequester(int requester) {
		this.requester = requester;
	}	
	public int getPerformer() {
		return performer;
	}
	public void setPerformer(int performer) {
		this.performer = performer;
	}	
	public int getCommand() {
		return command;
	}
	public void setCommand(int command) {
		this.command = command;
	}	
	public List<Integer> getRPCCommandList(){
		return RPCCommandList;
	}
    //{Todo : List Add 핸들링 방법 결정 후 작업 필요}
	public void ClearList() {
		if (this.RPCCommandList != null)
			this.RPCCommandList.clear();
	}
	public void addList(int RPCCommand) {
		if (this.RPCCommandList != null)
			this.RPCCommandList.add(RPCCommand);
	}
	public String getRemark() {
		return remark;
	}
	public void setRemark(String remark) {
		this.remark = remark;
	}	
		
}
